<!-- 
Страница, содержание которой будет выводиться в настройках плагина. Переменные, которые будут переданы на эту страницу, опеределены в методе pageSettingsPlugin() класса BifitKassa файла index.php 

Доступны переменные:
	$pluginName - название плагина 
	$lang - массив фраз для выбранной локали
	$options - набор настроек данного плагина хранимый в таблице mg_setting
	$entity - набор записей сущностей плагина из его таблицы 
	$pagination - блок навигации 
	$filter - блок фильтров 
-->
<div class="section-<?php echo $pluginName; ?>">
	<!-- $pluginName - задает название секции для разграничения JS скрипта -->
	<?php if (!empty($entity)): ?>
		<?php foreach ($entity as $row): ?>
			<!-- Тут начинается верстка модального окна -->
			<!-- Следующее модальное окно используется для добавления и редактирования записей -->
			<div class="reveal-overlay" style="display:none;">
				<div class="reveal xssmall" id="plug-modal-<?php echo $row['id']; ?>" style="display:block;">
					<button class="close-button closeModal" type="button"><i class="fa fa-times-circle-o" aria-hidden="true"></i></button>
					<!-- Кнопка закрытия модалки -->
					<div class="reveal-header">
						<!-- заголовок модалки -->
						<h4 class="pages-table-icon" id="modalTitle"><i class="fa fa-plus-circle" aria-hidden="true"></i> <?php echo $lang['HEADER_MODAL_LOG']; ?></h4>
					</div>
					<div class="reveal-body">
						<!-- тело модалки -->
						<div class="widget-body slide-editor">
							<!-- Содержимое окна, управляющие элементы -->
							<?php echo nl2br($row['log']); ?>
						</div>
					</div>
				</div>
			</div>
			<!-- Тут заканчивается Верстка модального окна -->
		<?php endforeach; ?>
	<?php endif; ?>
	<!-- Тут начинается верстка видимой части станицы настроек плагина-->
	<div class="widget-body">
		<!-- Кнопки -->
		<div class="widget-panel">
			<!-- Панель с активными элементами --> 
			<a role="button" href="javascript:void(0);" class="show-filters tool-tip-top button plugin-padding" title="<?php echo $lang['T_TIP_SHOW_FILTER']; ?>"><span><i class="fa fa-filter" aria-hidden="true"></i> <?php echo $lang['FILTER']; ?></span></a> 
			<!-- Кнопка для открытия панели с фильтрами --> 
			<a role="button" href="javascript:void(0);" class="show-property-order tool-tip-top button info" title="<?php echo $lang['T_TIP_OPTIONS']; ?>"><span><i class="fa fa-cogs" aria-hidden="true"></i> <?php echo $lang['OPTIONS']; ?></span></a> 
			<!-- Кнопка для открытия панели с опциями -->
			<!-- Выбор количества записей на странице -->
			<div class="filter fl-right"> 
				<span class="last-items"><?php echo $lang['SHOW_COUNT_ENTITY']; ?></span>
				<select class="last-items-dropdown countPrintRowsEntity small">
					<?php foreach (array(10, 20, 30, 50, 100) as $value) { 
						$selected = ''; 
						if ($value == $countPrintRows) {
							$selected = ' selected="selected"'; 
						} 
						echo '<option value="' . $value . '"' . $selected . '>' . $value . '</option>';
					}?>
				</select>
			</div>
			<div class="clear"></div>
		</div>
		<!-- Панель с фильтрами -->
		<div class="filter-container widget-panel-content" style="display:<?php echo $displayFilter ? 'block' : 'none'; ?>;">
			<?php echo $filter; ?>
			<!-- Вставляем форму, которую сгенерировал код в pagesettingsPlugin() -->
			<div class="clear"></div>
		</div>
		<!-- Панель с настройками (поля заполняются в соответствии с установленными	значениями в опциях плагина) -->
		<div class="property-order-container widget-panel-content" style="display:none;">
			<h2><?php echo $lang['OPTIONS_TITLE']; ?>:</h2>
			<form class="base-setting" name="base-setting" method="POST">
				<!-- список полей для редактирования опций -->
				<ul class="bifitkassa accordion" data-multi-expand="true" data-allow-all-closed="true">
					<li class="accordion-item">
						<a class="accordion-title" href="javascript:void(0);">
							<?php echo $lang['MAIN_SETTINGS']; ?>
						</a>
						<div class="accordion-content">
							<ul class="row list-option">
								<!-- Тестовый режим -->
								<li class="large-6 small-12 columns">
									<label>
										<span class="custom-text"><?php echo $lang['TEST_MODE']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_TEST_MODE']; ?>"></a></span> 
										<select name="test" id="test">
											<option value="0"<?php echo ($options['test'] === "0") ? " selected" : ""; ?>><?php echo $lang['NO']; ?></option>
											<option value="1"<?php echo ($options['test'] === "1" || !isset($options['test'])) ? " selected" : ""; ?>><?php echo $lang['YES']; ?></option>
										</select>
									</label>
								</li>
								<!-- Токен -->
								<li class="large-6 small-12 columns">
									<label><span class="custom-text"><?php echo $lang['ACCESS_TOKEN']; ?>:<a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_ACCESS_TOKEN']; ?>"></a></span>
										<input type="text" name="token" id="token" value="<?php echo $options['token']; ?>" placeholder="<?php echo $lang['ACCESS_TOKEN_PLACEHOLDER']; ?>">
									</label>
								</li>
								<!-- ФИО кассира -->
								<li class="large-6 small-12 columns">
									<label><span class="custom-text"><?php echo $lang['CASHIER_NAME']; ?>:<a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_CASHIER_NAME']; ?>"></a></span>
										<input type="text" name="cashier_name" id="cashier_name" value="<?php echo $options['cashier_name']; ?>" placeholder="<?php echo $lang['CASHIER_NAME_PLACEHOLDER']; ?>">
									</label>
								</li>
								<!-- ИНН кассира -->
								<li class="large-6 small-12 columns">
									<label><span class="custom-text"><?php echo $lang['CASHIER_INN']; ?>:<a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_CASHIER_INN']; ?>"></a></span>
										<input type="text" name="cashier_inn" id="cashier_inn" value="<?php echo $options['cashier_inn']; ?>" placeholder="<?php echo $lang['CASHIER_INN_PLACEHOLDER']; ?>">
									</label>
								</li>
								<!-- Место расчётов -->
								<li class="large-6 small-12 columns">
									<label><span class="custom-text"><?php echo $lang['PAYMENT_ADDRESS']; ?>:<a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_PAYMENT_ADDRESS']; ?>"></a></span>
										<input type="text" name="payment_address" id="payment_address" value="<?php echo $options['payment_address']; ?>" placeholder="<?php echo $lang['PAYMENT_ADDRESS_PLACEHOLDER']; ?>">
									</label>
								</li>
								<!-- Адрес клиента -->
								<li class="large-6 small-12 columns">
									<label>
										<span class="custom-text"><?php echo $lang['ADDRESS_TYPE']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_ADDRESS_TYPE']; ?>"></a></span> 
										<select name="address_type" id="address_type">
											<option value="email"<?php echo ($options['address_type'] == "email") ? " selected" : ""; ?>><?php echo $lang['EMAIL']; ?></option>
											<option value="phone"<?php echo ($options['address_type'] == "phone") ? " selected" : ""; ?>><?php echo $lang['PHONE']; ?></option>
										</select>
									</label>
								</li>
								<!-- Признак способа расчёта -->
								<li class="large-6 small-12 columns">
									<label>
										<span class="custom-text"><?php echo $lang['CALCULATION_METHOD']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_CALCULATION_METHOD']; ?>"></a></span> 
										<select name="calculation_method" id="calculation_method">
											<option value="prepay_full"<?php echo ($options['calculation_method'] == "prepay_full") ? " selected" : ""; ?>><?php echo $lang['PREPAY_FULL']; ?></option>
											<option value="prepay_partial"<?php echo ($options['calculation_method'] == "prepay_partial") ? " selected" : ""; ?>><?php echo $lang['PREPAY_PARTIAL']; ?></option>
											<option value="avans"<?php echo ($options['calculation_method'] == "avans") ? " selected" : ""; ?>><?php echo $lang['AVANS']; ?></option>
											<option value="full_pay"<?php echo ($options['calculation_method'] == "full_pay") ? " selected" : ""; ?>><?php echo $lang['FULL_PAY']; ?></option>
											<option value="partial_settlement_and_credit"<?php echo ($options['calculation_method'] == "partial_settlement_and_credit") ? " selected" : ""; ?>><?php echo $lang['PARTIAL_SETTLEMENT_AND_CREDIT']; ?></option>
											<option value="transfer_on_credit"<?php echo ($options['calculation_method'] == "transfer_on_credit") ? " selected" : ""; ?>><?php echo $lang['TRANSFER_ON_CREDIT']; ?></option>
											<option value="credit_payment"<?php echo ($options['calculation_method'] == "credit_payment") ? " selected" : ""; ?>><?php echo $lang['CREDIT_PAYMENT']; ?></option>
										</select>
									</label>
								</li>
								<!-- Тип оплаты -->
								<li class="large-6 small-12 columns">
									<label>
										<span class="custom-text"><?php echo $lang['PAYMENT_TYPE']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_PAYMENT_TYPE']; ?>"></a></span> 
										<select name="payment_type" id="payment_type">
											<option value="cash"<?php echo ($options['payment_type'] == "cash") ? " selected" : ""; ?>><?php echo $lang['CASH']; ?></option>
											<option value="card"<?php echo ($options['payment_type'] == "card") ? " selected" : ""; ?>><?php echo $lang['CARD']; ?></option>
											<option value="prepay"<?php echo ($options['payment_type'] == "prepay") ? " selected" : ""; ?>><?php echo $lang['PREPAY']; ?></option>
											<option value="postpay"<?php echo ($options['payment_type'] == "postpay") ? " selected" : ""; ?>><?php echo $lang['POSTPAY']; ?></option>
											<option value="other"<?php echo ($options['payment_type'] == "other") ? " selected" : ""; ?>><?php echo $lang['OTHER']; ?></option>
										</select>
									</label>
								</li>
								<!-- Единый НДС -->
								<li class="large-6 small-12 columns">
									<label>
										<span class="custom-text"><?php echo $lang['VAT_MODE']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_VAT_MODE']; ?>"></a></span> 
										<select name="vat_mode" id="vat_mode">
											<option value="0"<?php echo ($options['vat_mode'] === "0") ? " selected" : ""; ?>><?php echo $lang['NO']; ?></option>
											<option value="1"<?php echo ($options['vat_mode'] === "1") ? " selected" : ""; ?>><?php echo $lang['YES']; ?></option>
										</select>
									</label>
								</li>
								<!-- Ставка НДС -->
								<li class="large-6 small-12 columns">
									<label>
										<span class="custom-text"><?php echo $lang['VAT']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_VAT']; ?>"></a></span> 
										<select name="vat" id="vat">
											<option value="without_vat"<?php echo ($options['vat'] == "without_vat") ? " selected" : ""; ?>><?php echo $lang['WITHOUT_VAT']; ?></option>
											<option value="vat_0"<?php echo ($options['vat'] == "vat_0") ? " selected" : ""; ?>><?php echo $lang['VAT_0']; ?></option>
											<option value="vat_10"<?php echo ($options['vat'] == "vat_10") ? " selected" : ""; ?>><?php echo $lang['VAT_10']; ?></option>
											<option value="vat_20"<?php echo ($options['vat'] == "vat_20") ? " selected" : ""; ?>><?php echo $lang['VAT_20']; ?></option>
											<option value="vat_110"<?php echo ($options['vat'] == "vat_110") ? " selected" : ""; ?>><?php echo $lang['VAT_110']; ?></option>
											<option value="vat_120"<?php echo ($options['vat'] == "vat_120") ? " selected" : ""; ?>><?php echo $lang['VAT_120']; ?></option>
										</select>
									</label>
								</li>
							</ul>
						</div>
					</li>
					<?php 
					// Массив типов документов
					$arr = [
						'1' => $lang['TYPE_SALE'],
						'2' => $lang['TYPE_SALE_RETURN'],
						'3' => $lang['TYPE_PURCHASE'],
						'4' => $lang['TYPE_PURCHASE_RETURN'],
						'5' => $lang['TYPE_COMMUNICATION_WITH_THE_OFFICE']
					];
					foreach ($arr as $key => $name) {?>
						<li class="accordion-item">
							<a class="accordion-title" href="javascript:void(0);">
								<!-- Тип документа -->
								<?php echo $name; ?>
							</a>
							<div class="accordion-content">
								<ul class="row list-option">
									<!-- Использовать -->
									<li class="large-6 small-12 columns">
										<label>
											<span class="custom-text"><?php echo $lang['USE_TYPE']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_USE_TYPE']; ?>"></a></span> 
											<select name="use_type_<?php echo $key; ?>" id="use_type_<?php echo $key; ?>">
												<option value="0"<?php echo ($options['use_type_' . $key] == "0") ? " selected" : ""; ?>><?php echo $lang['NO']; ?></option>
												<option value="1"<?php echo ($options['use_type_' . $key] == "1") ? " selected" : ""; ?>><?php echo $lang['YES']; ?></option>
											</select>
										</label>
									</li>
									<!-- Заказ оплачен -->
									<li class="large-6 small-12 columns">
										<label>
											<span class="custom-text"><?php echo $lang['ORDER_PAID']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_ORDER_PAID']; ?>"></a></span> 
											<select name="order_paid_<?php echo $key; ?>" id="order_paid_<?php echo $key; ?>">
												<option value="-1"<?php echo ($options['order_paid_' . $key] == "-1") ? " selected" : ""; ?>><?php echo $lang['IGNORE']; ?></option>
												<option value="0"<?php echo ($options['order_paid_' . $key] == "0") ? " selected" : ""; ?>><?php echo $lang['NO']; ?></option>
												<option value="1"<?php echo ($options['order_paid_' . $key] == "1") ? " selected" : ""; ?>><?php echo $lang['YES']; ?></option>
											</select>
										</label>
									</li>
									<!-- Налоговая система -->
									<li class="large-12 small-12 columns">
										<label>
											<span class="custom-text"><?php echo $lang['TAX_SYSTEM']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_TAX_SYSTEM']; ?>"></a></span> 
											<select name="tax_system_<?php echo $key; ?>" id="tax_system_<?php echo $key; ?>">
												<option value="common"<?php echo ($options['tax_system_' . $key] == "common") ? " selected" : ""; ?>><?php echo $lang['COMMON']; ?></option>
												<option value="simplified"<?php echo ($options['tax_system_' . $key] == "simplified") ? " selected" : ""; ?>><?php echo $lang['SIMPLIFIED']; ?></option>
												<option value="simplified_with_expense"<?php echo ($options['tax_system_' . $key] == "simplified_with_expense") ? " selected" : ""; ?>><?php echo $lang['SIMPLIFIED_WITH_EXPENSE']; ?></option>

												<option value="envd"<?php echo ($options['tax_system_' . $key] == "envd") ? " selected" : ""; ?>><?php echo $lang['ENVD']; ?></option>
												<option value="common_agricultural"<?php echo ($options['tax_system_' . $key] == "common_agricultural") ? " selected" : ""; ?>><?php echo $lang['COMMON_AGRICULTURAL']; ?></option>
												<option value="patent"<?php echo ($options['tax_system_' . $key] == "patent") ? " selected" : ""; ?>><?php echo $lang['PATENT']; ?></option>
											</select>
										</label>
									</li>
									<!-- Статус(ы) заказа -->
									<li class="large-6 small-12 columns">
										<label>
											<span class="custom-text"><?php echo $lang['PM_STATUSES']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_PM_STATUSES']; ?>"></a></span>
											<select name="pm_statuses_<?php echo $key; ?>[]" id="pm_statuses_<?php echo $key; ?>" multiple="multiple" size="7">
												<?php if (is_array($statuses) && count($statuses)) {?>
													<?php foreach ($statuses as $st_id=>$st_name) {
														$fc = mb_strtoupper(mb_substr($st_name, 0, 1));
														$s_name = $fc . mb_substr($st_name, 1);
														?>
														<option value="<?php echo $st_id; ?>"<?php echo (in_array($st_id, $options['pm_statuses_' . $key])) ? " selected" : ""; ?>><?php echo $lang[$s_name]; ?></option>
													<?php }?>
												<?php }?>
											</select>
										</label>
									</li>
									<!-- Способ(ы) оплаты -->
									<li class="large-6 small-12 columns">
										<label>
											<span class="custom-text"><?php echo $lang['PM_IDS']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_PM_IDS']; ?>"></a></span> 
											<select name="pm_ids_<?php echo $key; ?>[]" id="pm_ids_<?php echo $key; ?>" multiple="multiple" size="7">
												<?php if (is_array($payments) && count($payments)) {?>
													<?php foreach ($payments as $pm_id=>$pm_name) {?>
														<option value="<?php echo $pm_id; ?>"<?php echo (in_array($pm_id, $options['pm_ids_' . $key])) ? " selected" : ""; ?>><?php echo $pm_name; ?></option>
													<?php }?>
												<?php }?>
											</select>
										</label>
									</li>
									<?php if ($key == 5) {?>
										<!-- Логин -->
										<li class="large-6 small-12 columns">
											<label><span class="custom-text"><?php echo $lang['LOGIN']; ?>:<a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_LOGIN']; ?>"></a></span>
												<input type="text" name="login" id="login" value="<?php echo $options['login']; ?>">
											</label>
										</li>
										<!-- Пароль -->
										<li class="large-6 small-12 columns">
											<label><span class="custom-text"><?php echo $lang['PASSWORD']; ?>:<a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_PASSWORD']; ?>"></a></span>
												<input type="password" name="password" id="password" value="<?php echo $options['password']; ?>">
											</label>
										</li>
										<?php if ($options['login'] && $options['password']) {?>
											<!-- Организация -->
											<li class="large-6 small-12 columns">
												<label>
													<span class="custom-text"><?php echo $lang['ORGANIZATION']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_ORGANIZATION']; ?>"></a></span> 
													<select name="organization" id="organization">
														<?php if (is_array($organizations) && count($organizations)) {?>
															<?php foreach ($organizations as $org_id=>$org) {?>
																<option value="<?php echo $org_id; ?>"<?php echo ($options['organization'] == $org_id) ? " selected" : ""; ?>><?php echo $org['name']; ?></option>
															<?php }?>
														<?php }?>
													</select>
												</label>
											</li>
											<!-- Торговый объект -->
											<li class="large-6 small-12 columns">
												<label>
													<span class="custom-text"><?php echo $lang['TRADE_OBJECT']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_TRADE_OBJECT']; ?>"></a></span> 
													<select name="trade_object" id="trade_object">
														<?php if (is_array($trade_objects) && count($trade_objects)) {?>
															<?php foreach ($trade_objects as $trd_id=>$trd_name) {?>
																<option value="<?php echo $trd_id; ?>"<?php echo ($options['trade_object'] == $trd_id) ? " selected" : ""; ?>><?php echo $trd_name; ?></option>
															<?php }?>
														<?php }?>
													</select>
												</label>
											</li>
											<!-- Доставка "Курьером" -->
											<li class="large-6 small-12 columns">
												<label>
													<span class="custom-text"><?php echo $lang['LK_COURIER_DELIVERY']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_LK_COURIER_DELIVERY']; ?>"></a></span>
													<select name="lk_courier_delivery[]" id="lk_courier_delivery" multiple="multiple" size="7">
														<?php if (is_array($deliveries) && count($deliveries)) {?>
															<?php foreach ($deliveries as $dl_id=>$dl_name) {?>
																<option value="<?php echo $dl_id; ?>"<?php echo (in_array($dl_id, $options['lk_courier_delivery'])) ? " selected" : ""; ?>><?php echo $dl_name; ?></option>
															<?php }?>
														<?php }?>
													</select>
												</label>
											</li>
											<!-- Доставка "Самовывоз" -->
											<li class="large-6 small-12 columns">
												<label>
													<span class="custom-text"><?php echo $lang['LK_SELF_DELIVERY']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_LK_SELF_DELIVERY']; ?>"></a></span> 
													<select name="lk_self_delivery[]" id="lk_self_delivery" multiple="multiple" size="7">
														<?php if (is_array($deliveries) && count($deliveries)) {?>
															<?php foreach ($deliveries as $dl_id=>$dl_name) {?>
																<option value="<?php echo $dl_id; ?>"<?php echo (in_array($dl_id, $options['lk_self_delivery'])) ? " selected" : ""; ?>><?php echo $dl_name; ?></option>
															<?php }?>
														<?php }?>
													</select>
												</label>
											</li>
											<!-- Статус для нового заказа "Курьером" -->
											<li class="large-6 small-12 columns">
												<label>
													<span class="custom-text"><?php echo $lang['LK_NEW_COURIER_ORDER_STATUS']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_LK_NEW_COURIER_ORDER_STATUS']; ?>"></a></span> 
													<select name="lk_new_courier_order_status" id="lk_new_courier_order_status">
														<option value="new"<?php echo ($options['lk_new_courier_order_status'] == "new") ? " selected" : ""; ?>><?php echo $lang['NEW']; ?></option>
														<option value="accepted"<?php echo ($options['lk_new_courier_order_status'] == "accepted") ? " selected" : ""; ?>><?php echo $lang['ACCEPTED']; ?></option>
														<option value="distributed"<?php echo ($options['lk_new_courier_order_status'] == "distributed") ? " selected" : ""; ?>><?php echo $lang['DISTRIBUTED']; ?></option>
													</select>
												</label>
											</li>
											<!-- Удалять заказ в кабинете -->
											<li class="large-6 small-12 columns">
												<label>
													<span class="custom-text"><?php echo $lang['LK_USE_REFUSED']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_LK_USE_REFUSED']; ?>"></a></span> 
													<select name="lk_use_refused" id="lk_use_refused">
														<option value="0"<?php echo ($options['lk_use_refused'] === "0") ? " selected" : ""; ?>><?php echo $lang['NO']; ?></option>
														<option value="1"<?php echo ($options['lk_use_refused'] === "1") ? " selected" : ""; ?>><?php echo $lang['YES']; ?></option>
													</select>
												</label>
											</li>
											<!-- Пустышка -->
											<li class="large-6 small-12 columns">
											</li>
											<!-- Статус заказа для удаления -->
											<li class="large-6 small-12 columns">
												<label>
													<span class="custom-text"><?php echo $lang['LK_REFUSED_STATUSES']; ?>: <a class="tool-tip-top fa fa-question-circle fl-right" title="<?php echo $lang['T_TIP_LK_REFUSED_STATUSES']; ?>"></a></span>
													<select name="lk_refused_statuses[]" id="lk_refused_statuses" multiple="multiple" size="7">
														<?php if (is_array($statuses) && count($statuses)) {?>
															<?php foreach ($statuses as $st_id=>$st_name) {
																$fc = mb_strtoupper(mb_substr($st_name, 0, 1));
																$s_name = $fc . mb_substr($st_name, 1);
																?>
																<option value="<?php echo $st_id; ?>"<?php echo (in_array($st_id, $options['lk_refused_statuses'])) ? " selected" : ""; ?>><?php echo $lang[$s_name]; ?></option>
															<?php }?>
														<?php }?>
													</select>
												</label>
											</li>
										<?php }?>
									<?php }?>
								</ul>
							</div>
						</li>
					<?php }?>
				</ul>
				<div class="clear"></div>
			</form>
			<div class="clear"></div> 
			<!-- Кнопка "Обновить организации и объекты" -->
			<button type="button" class="button update-orgs"><i class="fa fa-refresh"></i> <?php echo $lang['UPDATE_ORGS']; ?></button> <a role="button" href="javascript:void(0);" class="base-setting-save custom-btn button success"><span><i class="fa fa-floppy-o" aria-hidden="true"></i><?php echo $lang['SAVE']; ?></span></a> 
			<!-- Кнопка сохранения настроек плагина -->
			<div class="clear"></div>
		</div>
		<div class="wrapper-entity-setting">
			<div class="clear"></div>
			<!-- Тут начинается верстка таблицы записей -->
			<div class="entity-table-wrap">
				<div class="clear"></div>
				<div class="table-wrapper">
					<!-- Обёртка для таблицы (одна из особеностей этой обертки - при маленькой величине значения ширины по краям таблицы вставляются кнопки для скрола вбок, актуаально для мобильных устройств)) -->
					<table class="widget-table main-table">
						<thead>
							<!-- заголовок таблицы -->
							<tr>
								<th class="id-width" style="width:15px;">
									<!-- Столбец с ID --> 
									<a role="button" href="javascript:void(0);" class="order <?php echo ($sorterData[0] == "id ") ? 'field-sorter ' . $sorterData[3] : 'field-sorter asc'; ?>" data-sort="<?php echo ($sorterData[0] == "id ") ? $sorterData[1]*(-1) : 1; ?>" data-field="id">№</a> 
									<!-- Кнопка для сортировки по id -->
								</th>
								<th>
									<!-- Столбец с идентификатором (order_id) заказа --> 
									<a role="button" href="javascript:void(0);" class="order <?php echo ($sorterData[0] == "order_id ") ? 'field-sorter ' . $sorterData[3] : 'field-sorter asc'; ?>" data-sort="<?php echo ($sorterData[0] == "order_id ") ? $sorterData[1]*(-1) : 1; ?>" data-field="order_id"><?php echo $lang['ORDER_ID']; ?></a> 
									<!-- Кнопка для сортировки по order_id -->
								</th>
								<th>
									<!-- Столбец с номером (order_number) заказа --> 
									<a role="button" href="javascript:void(0);" class="order <?php echo ($sorterData[0] == "order_number ") ? 'field-sorter ' . $sorterData[3] : 'field-sorter asc'; ?>" data-sort="<?php echo ($sorterData[0] == "order_number ") ? $sorterData[1]*(-1) : 1; ?>" data-field="order_number"><?php echo $lang['ORDER_NUMBER']; ?></a> 
									<!-- Кнопка для сортировки по order_number -->
								</th>
								<th>
									<!-- Столбец с датой заказа --> 
									<a role="button" href="javascript:void(0);" class="order <?php echo ($sorterData[0] == "order_date") ? 'field-sorter ' . $sorterData[3] : 'field-sorter asc'; ?>" data-sort="<?php echo ($sorterData[0] == "order_date") ? $sorterData[1]*(-1) : 1; ?>" data-field="order_date"><?php echo $lang['ORDER_DATE']; ?></a> 
									<!-- Кнопка	для сортировки по дате -->
								</th>
								<th>
									<!-- Столбец с датой запроса --> 
									<a role="button" href="javascript:void(0);" class="order <?php echo ($sorterData[0] == "action_date") ? 'field-sorter ' . $sorterData[3] : 'field-sorter asc'; ?>" data-sort="<?php echo ($sorterData[0] == "action_date") ? $sorterData[1]*(-1) : 1; ?>" data-field="action_date"><?php echo $lang['ACTION_DATE']; ?></a> 
									<!-- Кнопка	для сортировки по дате запроса -->
								</th>
								<th class="check" style="width:50px;">
									<!-- Столбец с ссылкой на чек --> 
									<?php echo $lang['RECEIPT_LINK']; ?>
								</th>
								<th class="doc" style="width:50px;">
									<!-- Столбец с номером документа --> 
									<?php echo $lang['RECEIPT_ID']; ?>
								</th>
								<th class="log" style="width:50px;">
									<!-- Столбец с логом --> 
									<?php echo $lang['LOG']; ?>
								</th>
								<th>
									<!-- Столбец с типом документа --> 
									<a role="button" href="javascript:void(0);" class="order <?php echo ($sorterData[0] == "receipt_type") ? 'field-sorter ' . $sorterData[3] : 'field-sorter asc'; ?>" data-sort="<?php echo ($sorterData[0] == "receipt_type") ? $sorterData[1]*(-1) : 1; ?>" data-field="receipt_type"><?php echo $lang['RECEIPT_TYPE']; ?></a> 
									<!-- Кнопка для сортировки по типу документа -->
								</th>
								<!-- Столбец для действий над записями -->
								<th class="actions" style="width:50px;">
									<?php echo $lang['ACTIONS']; ?>
								</th>
							</tr>
						</thead>
						<tbody class="entity-table-tbody">
							<?php if (empty($entity)): ?>
								<!-- Выводить сообщение при отсутствии записей -->
								<tr class="no-results">
									<td colspan="100%" align="left">
										<div class="alert alert-success">
											<i class="fa fa-ban"></i> 
											<?php echo $lang['ENTITY_NONE']; ?>
										</div>
									</td>
								</tr>
							<?php else: ?>
								<?php foreach ($entity as $row): ?>
									<tr data-id="<?php echo $row['id']; ?>">
										<!-- Столбец с ID -->
										<td>
											<?php echo $row['id']; ?>
										</td>
										<!-- Столбец с идентификатором заказа -->
										<td>
											<?php echo $row['order_id']; ?>
										</td>
										<!-- Столбец с номером заказа -->
										<td>
											<?php echo $row['order_number']; ?>
										</td>
										<!-- Столбец с датой добавления -->
										<td class="order_date">
											<?php echo $row['order_date']; ?>
										</td>
										<!-- Столбец с датой запроса -->
										<td class="order_date">
											<?php echo $row['order_date']; ?>
										</td>
										<!-- Столбец с ссылкой на чек -->
										<td class="receipt_link">
											<?php if ((int)$row['receipt_id'] > 0) {?>
												<a role="button" target="_blank" class="button secondary" href="<?php echo $row['receipt_link']; ?>"><?php echo $lang['OPEN_RECEIPT']; ?></a>
											<?php } else {?>
												<span class="text-alert bold"><?php echo $lang['NOTE_SM']; ?></span>
											<?php }?>
										</td>
										<!-- Столбец с номером документа --> 
										<td class="receipt_id">
											<?php if ((int)$row['receipt_id'] > 0) {?>
												<span class="text-success bold"><?php echo $row['receipt_id']; ?></span>
											<?php } else {?>
												<span class="text-alert bold"><?php echo $lang['NOTE_SM']; ?></span>
											<?php }?>
										</td>
										<!-- Столбец с логом -->
										<td class="log">
											<a role="button" href="javascript:void(0);" class="view-log button secondary" data-id="<?php echo $row['id']; ?>"><span><?php echo $lang['VIEW_LOG']; ?></span></a>
										</td>
										<!-- Столбец с типом документа -->
										<td class="receipt_type">
											<span class="type <?php if ((int)$row['receipt_id'] > 0) {?>type-success<?php } else {?>type-error<?php }?> type-<?php echo strtolower($row['receipt_type']); ?>"><?php echo $lang['TYPE_' . strtoupper($row['receipt_type'])]; ?></span>
										</td>
										<!-- Столбец с действиями над записями -->
										<td class="actions">
											<ul class="action-list">
												<li class="delete-row" data-id="<?php echo $row['id']; ?>"> <a class="tool-tip-bottom fa fa-trash" href="javascript:void(0);" title="<?php echo $lang['DELETE']; ?>"></a> 
												<!-- Кнопка для удаления записи -->
											</ul>
										</td>
									</tr>
								<?php endforeach; ?>
							<?php endif; ?>
							<tr></tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="table-pagination clear" style="margin:10px; padding-bottom:40px;">
				<?php echo $pagination; ?>
				<!-- Вывод навигации -->
			</div>
			<div class="clear"></div>
		</div>
	</div>
	<!-- Скрипт для активации datetimepicker'а (dtp)-->
	<script>
	// Задаем настройки dtp
	$.timepicker.regional['ru'] = {
		prevText: '<Пред',
		nextText: 'След>',
		monthNames: ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь', 'Июль', 'Август', 'Сентябрь', 'Октябрь', 'Ноябрь', 'Декабрь'],
		monthNamesShort: ['Янв', 'Фев', 'Мар', 'Апр', 'Май', 'Июн', 'Июл', 'Авг', 'Сен', 'Окт', 'Ноя', 'Дек'],
		dayNames: ['воскресенье', 'понедельник', 'вторник', 'среда', 'четверг', 'пятница', 'суббота'],
		dayNamesShort: ['вск', 'пнд', 'втр', 'срд', 'чтв', 'птн', 'сбт'],
		dayNamesMin: ['Вс', 'Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб'],
		timeText: 'Время:',
		hourText: 'Часы',
		minuteText: 'Минуты',
		secondText: 'Секунды',
		millisecText: 'Миллисекунды',
		currentText: 'Сейчас',
		closeText: 'Применить',
		dateFormat: 'yy-mm-dd',
		isRTL: false,
		// При использование на одной странице Uploader'а и DateTimePicker'а происходит конфликт стилей
		// Для исправления конфликта при запуске DateTimePicker'а отключаем подключенный стиль, а при открытие Uploader'а включаем обратно (в script.js)
		beforeShow: function(input, inst) {
			$('#ui-datepicker-div').next().prop('disabled', true);
		}
	};
	// Активируем dtp для поля "Дата с" в панели фильтрации
	$('.admin-center .section-<?php echo $pluginName; ?>  .filter-container .from-date').datetimepicker($.timepicker.regional['ru']);
	// Активируем dtp для поля "Дата по" в панели фильтрации
	$('.admin-center .section-<?php echo $pluginName; ?>  .filter-container .to-date').datetimepicker($.timepicker.regional['ru']);
	</script>
</div>